Gaming Compatibility list?

prowler

Sony
Member
Joined
Jul 14, 2009
Messages
9,475
Trophies
0
Location
Ragol
XP
3,294
Country
Zimbabwe
Last game on my site's ISO list that is playable
QUOTE said:
James Cameron Avatar The Game [USA][OFW 6.10]
Phantasy Star Portable 2 [JPN] [OFW 6.10]
MX vs ATV Reflex [USA] [OFW 6.10]
Gundam Vs Gundam Next Plus [JPN]
Puyo Puyo 7 [JPN]
L no Kisetsu Double Pocket [JPN]
Tekken 6 [USA] [Tested and Working]
La Pucelle Ragnarok [JPN]
Itsuka Kono Te ga Kegareru Maeni Spectral Force Legacy [JPN]
Higurashi Daybrake Portable Mega Edition [JPN]
[PSP Mini] Let’s Golf
[PSP Mini] Blast Off
[PSP Mini] Pinball Dreams
[PSP Mini] Echoe
Pri Saga Portable [JPN]
Yu Gi Oh 5Ds Tagforce 4 [USA]
F1 2009 [USA]
Armored Core Silent Line Portable [JPN]
(Normal game, not minis) is Tekken 6, i think.
 

cracker

Nyah!
Member
Joined
Aug 24, 2005
Messages
3,616
Trophies
0
XP
2,157
Country
United States
To further add...
There is new encryption on games that actually adds an encrypted key file for the encryption onto the UMD... This means that there will need to be a new decryption technique implemented to handle this... Or else (hopefully not) having to decrypt the eboot on your PSP and rebuild the ISO with the decrypted version...
 

BoxShot

Chiyo-chan :3
Member
Joined
Dec 18, 2008
Messages
3,446
Trophies
0
Age
28
Location
Middle of the ocean.
Website
Visit site
XP
200
Country
United States
5.50 GEN-D3 or 5.03 GEN-C

smile.gif
So wait for December 15.
 

Ryupower

Brood
Member
Joined
Oct 8, 2007
Messages
2,979
Trophies
0
Website
techmantis.net
XP
2,157
Country
United States
i think there WILL NOT be a new decrypting app, for 6.10+ games
so

depending on you PSP
5.50 gen-d3
or
5.03 gen-c
will be the needed to play them


5.00 m33-6 users WILL HAVE to update to play new games
 

cracker

Nyah!
Member
Joined
Aug 24, 2005
Messages
3,616
Trophies
0
XP
2,157
Country
United States
You just kind of did some doubletalk there...

Sure 5.00 m33 can't play newer games w/o patches but since the 6.10+ games require a special technique to double decrypt them if GEN CFW doesn't implement it then it isn't going to do any more good.
 

DarkWay

tsubasa hiroge
Member
Joined
Aug 21, 2008
Messages
1,550
Trophies
0
Age
32
Location
Cornwall
Website
Visit site
XP
221
Country
Ryupower said:
i think there WILL NOT be a new decrypting app, for 6.10+ games
so

depending on you PSP
5.50 gen-d3
or
5.03 gen-c
will be the needed to play them


5.00 m33-6 users WILL HAVE to update to play new games

I'm a 5.00 m33-6 user and I don't plan on updating to GEN ever. I'm not a fan of GEN. thte only time I would consider updating would be if a new m33 firmware was released (unlikely but not impossible) or some other new team came out with a firmware that works on new games and good proof that it works.
 

cracker

Nyah!
Member
Joined
Aug 24, 2005
Messages
3,616
Trophies
0
XP
2,157
Country
United States
To add... It might also be due to the MSPD brand/model you are using. Sandisk Ultras are the best by far... They blow pretty much everything away (including the Sony 'gaming card'
tongue.gif
).

Posts merged

DarkWay said:
Ryupower said:
i think there WILL NOT be a new decrypting app, for 6.10+ games
so

depending on you PSP
5.50 gen-d3
or
5.03 gen-c
will be the needed to play them


5.00 m33-6 users WILL HAVE to update to play new games

I'm a 5.00 m33-6 user and I don't plan on updating to GEN ever. I'm not a fan of GEN. thte only time I would consider updating would be if a new m33 firmware was released (unlikely but not impossible) or some other new team came out with a firmware that works on new games and good proof that it works.

I felt the same way until Tekken 6... :/
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    KenniesNewName @ KenniesNewName: Underwraps 2 is out checks all the Disney woke boxes